//define breakpoint
$grid__breakpoint-sm: 576;
$grid__breakpoint-md: 768;
$grid__breakpoint-lg: 992;
$grid__breakpoint-xl: 1200;
$grid__cols: 12;

$map-grid-props: (
        '': 0,
        '-sm': $grid__breakpoint-sm,
        '-md': $grid__breakpoint-md,
        '-lg': $grid__breakpoint-lg,
        '-xl': $grid__breakpoint-xl
);
//define mediaquery
@mixin create-mediaquery($breakpoint) {
  @if($breakpoint == 0) {
    @content;
  } @else {
    @media screen and (min-width: $breakpoint *1px) {
      @content;
    }
  }
}
//define flex column
@mixin create-col-classes($modifier, $grid-cols, $breakpoint) {
  @include create-mediaquery($breakpoint) {
    @for $i from 1 through $grid-cols {
      &__col#{$modifier}-#{$i} {
        flex-basis: (100 / ($grid-cols / $i) ) * 1%;
      }
    }
  }
}


.container {
  max-width: $grid__breakpoint-md * 1.25px;
  margin: 0 auto;
  &--fluid {
    margin: 0;
    max-width: 100%;
  }
  &__row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
  }
  @each $modifier , $breakpoint in $map-grid-props {
    @include create-col-classes($modifier, $grid__cols, $breakpoint);
  }
}

//Styling of grid 
.container {
  box-sizing: border-box;
  @at-root {
    [class*='container__col-'] {
      display: flex;
      align-items: center;
      //justify-content: space-around;
    }
  }
}

